Index: pjproject/trunk/pjsip/include/pjsua2/account.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/account.hpp	(revision 5969)
+++ pjproject/trunk/pjsip/include/pjsua2/account.hpp	(revision 6026)
@@ -175,5 +175,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -182,5 +182,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 
 };
@@ -274,5 +274,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -281,5 +281,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -332,5 +332,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -339,5 +339,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -399,5 +399,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -406,5 +406,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -439,5 +439,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -446,5 +446,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -693,5 +693,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -700,5 +700,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -782,5 +782,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -789,5 +789,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -885,5 +885,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -892,5 +892,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -972,5 +972,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -979,5 +979,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -1078,5 +1078,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -1085,5 +1085,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -1133,5 +1133,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -1140,5 +1140,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
     
 } AccountIpChangeConfig;
@@ -1235,5 +1235,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -1242,5 +1242,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -1643,5 +1643,5 @@
      */
     void create(const AccountConfig &cfg,
-                bool make_default=false) throw(Error);
+                bool make_default=false) PJSUA2_THROW(Error);
 
     /**
@@ -1668,5 +1668,5 @@
      * 				account.
      */
-    void modify(const AccountConfig &cfg) throw(Error);
+    void modify(const AccountConfig &cfg) PJSUA2_THROW(Error);
 
     /**
@@ -1681,5 +1681,5 @@
      * requests don't match any accounts.
      */
-    void setDefault() throw(Error);
+    void setDefault() PJSUA2_THROW(Error);
 
     /**
@@ -1713,5 +1713,5 @@
      * @return			Account info.
      */
-    AccountInfo getInfo() const throw(Error);
+    AccountInfo getInfo() const PJSUA2_THROW(Error);
 
     /**
@@ -1723,5 +1723,5 @@
      * 				process.
      */
-    void setRegistration(bool renew) throw(Error);
+    void setRegistration(bool renew) PJSUA2_THROW(Error);
 
     /**
@@ -1734,5 +1734,5 @@
      * @param pres_st		Presence online status.
      */
-    void setOnlineStatus(const PresenceStatus &pres_st) throw(Error);
+    void setOnlineStatus(const PresenceStatus &pres_st) PJSUA2_THROW(Error);
 
     /**
@@ -1750,5 +1750,5 @@
      * @param tp_id		The transport ID.
      */
-    void setTransport(TransportId tp_id) throw(Error);
+    void setTransport(TransportId tp_id) PJSUA2_THROW(Error);
 
     /**
@@ -1760,5 +1760,5 @@
      * @param prm		The sending NOTIFY parameter.
      */
-    void presNotify(const PresNotifyParam &prm) throw(Error);
+    void presNotify(const PresNotifyParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1770,5 +1770,5 @@
      * @return			The buddy list.
      */
-    const BuddyVector& enumBuddies() const throw(Error);
+    const BuddyVector& enumBuddies() const PJSUA2_THROW(Error);
 
     /**
@@ -1777,5 +1777,5 @@
      * @return			The buddy list.
      */
-    BuddyVector2 enumBuddies2() const throw(Error);
+    BuddyVector2 enumBuddies2() const PJSUA2_THROW(Error);
 
     /**
@@ -1793,5 +1793,5 @@
      */
     Buddy* findBuddy(string uri, FindBuddyMatch *buddy_match = NULL) const
-		    throw(Error);
+		    PJSUA2_THROW(Error);
 
     /**
@@ -1804,5 +1804,5 @@
      * @return			The pointer to buddy.
      */
-    Buddy findBuddy2(string uri) const throw(Error);
+    Buddy findBuddy2(string uri) const PJSUA2_THROW(Error);
 
 public:
